<template lang="fr">
  <div class="favorite" @click="setFavorite(id, favorite)">
    <img v-if="favorite" src="./../assets/yellow-star.png" />
    <img v-else src="./../assets/star.png"/>
  </div>
</template>

<script>
export default {
  name: "Favorite",
  props: {
    id: String,
    name: String,
    favorite: Boolean,
  },
  methods: {
    setFavorite(id, favorite) {
      if (favorite) {
        this.$emit("update", false);
        this.$store.commit("deleteFavorite", id);
        this.$toast.show(
          this.name + " is no longer one of your favourite planets"
        );
      } else {
        this.$emit("update", true);
        this.$store.commit("addFavorite", id);
        this.$toast.show(
          this.name + " has become one of your favourite planets !"
        );
      }
    },
  },
};
</script>

<style scoped>
img {
  width: 20px;
  cursor: pointer;
}
</style>
